import React from 'react';
import { addStoryInGroup, MID_LEVEL_BLOCKS } from '../../../.storybook/utils';
import ProgressTracker from './ProgressTracker';
var steps = ['Draft', 'Book', 'Send invoices', 'Get paid'];
export default {
  title: addStoryInGroup(MID_LEVEL_BLOCKS, 'ProgressTracker'),
  component: ProgressTracker,
  parameters: {
    design: {
      type: 'figma',
      url: 'https://www.figma.com/file/LHH25GN90ljQaBEUNMsdJn/Desktop-components?node-id=865%3A0'
    }
  }
};
export var defaultStory = function defaultStory(args) {
  return /*#__PURE__*/React.createElement(ProgressTracker, args, steps.map(function (step, index) {
    return /*#__PURE__*/React.createElement(ProgressTracker.ProgressStep, {
      label: step,
      meta: "".concat(10 + index * 3, "/12/2020"),
      key: index,
      onClick: function onClick() {
        return console.log('step clicked');
      }
    });
  }));
};
defaultStory.args = {
  done: false,
  currentStep: 1,
  color: 'mint',
  labelPosition: 'top'
};